package tech.nevets.sfss;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonObject;

import java.io.*;

public class Config {
    private final static Gson GSON = new Gson();
    private JsonObject config;

    public Config() {
        try {
            File configFile = new File("./config.json");
            if (!configFile.exists()) {
                configFile.createNewFile();
                new FileWriter(configFile).write("{}");
            }
            config = GSON.fromJson(new FileReader(configFile), JsonObject.class);
        } catch (IOException e) {
            config = new JsonObject();
            e.printStackTrace();
        }
    }

    public String getString(String key) {
        return config.get(key).getAsString();
    }

    public int getInt(String key) {
        return config.get(key).getAsInt();
    }

    public short getShort(String key) {
        return config.get(key).getAsShort();
    }

    public boolean getBoolean(String key) {
        return config.get(key).getAsBoolean();
    }
}
