package tech.nevets.sfss;

import tech.nevets.sfss.net.HTTPServer;
import tech.nevets.sfss.net.SFSServer;
import tech.nevets.sfss.net.SFTPServer;

import java.io.IOException;

public class Main {
    public static final Config CONFIG = new Config();

    public static void main(String[] args) {
        StoreManager.generateCertificates();
        StoreManager.loadCertificates();

        Thread sfsServer = new Thread(() -> {
            try {
                System.out.println("Starting sfs server...");
                new SFSServer(CONFIG.getInt("sfsPort"));
            } catch (IOException e) {
                e.printStackTrace();
            }
        });
        sfsServer.start();

        

        Thread sftpServer = new Thread(() -> {
            try {
                System.out.println("Starting sftp server...");
                new SFTPServer(CONFIG.getInt("sftpPort"));
            } catch (IOException e) {
                e.printStackTrace();
            }
        });
        //sftpServer.start();

        Thread httpServer = new Thread(() -> {
            try {
                System.out.println("Starting http server...");
                new HTTPServer(CONFIG.getInt("httpPort"));
            } catch (IOException e) {
                e.printStackTrace();
            }
        });
        //httpServer.start();

    }
}
