package tech.nevets.sfss.net;

import fi.iki.elonen.NanoHTTPD;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class HTTPServer extends NanoHTTPD {
    public HTTPServer(int port) throws IOException {
        super(port);

        start(NanoHTTPD.SOCKET_READ_TIMEOUT, false);
    }

    @Override
    public Response serve(IHTTPSession session) {
        String uri = session.getUri();
        switch (uri) {
            case "/public.cer" -> {
                Response res;
                try {
                    res = newChunkedResponse(Response.Status.OK, "application/x-x509-ca-cert", new FileInputStream("./certificates/public.cer"));
                } catch (FileNotFoundException e) {
                    res = newFixedLengthResponse("Error");
                    e.printStackTrace();
                }
                return res;
            }
            default -> {
                return newFixedLengthResponse(Response.Status.NOT_FOUND, "", "Endpoint not found");
            }
        }
    }
}
