package tech.nevets.sfss.net;

import tech.nevets.sfss.StoreManager;

import javax.net.ssl.SSLServerSocket;
import javax.net.ssl.SSLServerSocketFactory;
import javax.net.ssl.SSLSocket;
import java.io.IOException;
import java.util.concurrent.atomic.AtomicBoolean;

public class SFSServer {
    private final SSLServerSocket serverSocket;
    private volatile boolean running = true;

    public SFSServer(int port) throws IOException {
        SSLServerSocketFactory factory = StoreManager.getSSLContext().getServerSocketFactory();
        serverSocket = (SSLServerSocket) factory.createServerSocket(port);
        serverSocket.setEnabledCipherSuites(new String[]{
                "TLS_AES_128_GCM_SHA256", "TLS_AES_256_GCM_SHA384", "TLS_CHACHA20_POLY1305_SHA256"
        });
        serverSocket.setEnabledProtocols(new String[]{"TLSv1.2","TLSv1.3"});
        serverSocket.setNeedClientAuth(false);
        serverSocket.setWantClientAuth(false);

        while(running) {
            SSLSocket conn = (SSLSocket) serverSocket.accept();
            conn.getChannel();
        }
    }

    public boolean isRunning() {
        return running;
    }

    public void stop() {
        running = false;
    }
}
