package tech.nevets.sfss.net.packets;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.StandardCharsets;

public class SFSInfo {
    private final int length;
    private final String fileName;

    public SFSInfo(int length, String fileName) {
        if (length < 0) {
            throw new IllegalArgumentException("Length cannot be negative");
        }
        this.length = (byte) length;
        this.fileName = fileName;
    }

    public int getLength() {
        return length;
    }

    public byte[] toBytes() {
        byte[] data = new byte[512];
        System.arraycopy(ByteBuffer.allocate(4).order(ByteOrder.LITTLE_ENDIAN).putInt(length).array(), 0, data, 0, 4);
        System.arraycopy(fileName.getBytes(StandardCharsets.UTF_8), 0, data, 4, fileName.getBytes(StandardCharsets.UTF_8).length);
    }

}
